Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Set support version of node.js explicitly as 6, 8, 9. #28

Merged
merged 2 commits into from Mar 29, 2018

Conversation

3 participants
@segayuu
Copy link
Contributor

commented Mar 29, 2018

In the current setting of travis-ci, test target is v6 and stable.

Therefore, it can not be said that it actually supports the previous version.
So, you should explicitly write support version in package.json.

When this PR is applied, I plan to do semiautomatic refactoring using lebab, PR to upgrade each package, and so on.

@segayuu segayuu requested a review from NoahDragon Mar 29, 2018

@coveralls

This comment has been minimized.

Copy link

commented Mar 29, 2018

Coverage Status

Coverage remained the same at 85.816% when pulling ad0f639 on segayuu:support-node-version-6 into da449e6 on hexojs:master.

@NoahDragon NoahDragon merged commit b6442e6 into hexojs:master Mar 29, 2018

4 checks passed

codeclimate All good!
Details
continuous-integration/appveyor/pr AppVeyor build succeeded
Details
continuous-integration/travis-ci/pr The Travis CI build passed
Details
coverage/coveralls Coverage remained the same at 85.816%
Details
@NoahDragon
Copy link
Member

left a comment

LGTM.

@segayuu segayuu deleted the segayuu:support-node-version-6 branch Mar 29, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.